# $Revision: 1.13 $, $Date: 2004/03/07 21:22:10 $
Summary:	A cross-platform chemistry program and library designed to convert file formats
Summary(pl):	Midzyplatformowy program chemiczny i biblioteka do konwersji formatw plikw
Name:		openbabel
Version:	1.100.2
Release:	1
License:	GPL v2
Group:		X11/Libraries
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	03de74acaadc4beb651f96485169ec65
URL:		http://openbabel.sourceforge.net/
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Open Babel is a project designed to pick up where Babel left off, as a
cross-platform program and library designed to interconvert between
many file formats used in molecular modeling and computational
chemistry.

%description -l pl
Open Babel to projekt majcy pozbiera to, co zostao po zaniechaniu
projektu Babel, jako midzyplatformowy program i biblioteka suce do
konwersji midzy wielona formatami uywanymi w modelowaniu czsteczek
i chemii obliczeniowej.

%package devel
Summary:	Header files for OpenBabel
Summary(pl):	Pliki nagwkowe dla OpenBabel
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for OpenBabel.

%description devel -l pl
Pliki nagwkowe dla OpenBabel.

%package static
Summary:	Static OpenBabel library
Summary(pl):	Statyczna biblioteka OpenBabel
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static OpenBabel library.

%description static -l pl
Statyczna biblioteka OpenBabel.

%prep
%setup -q

%build
%configure \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}/openbabel/math}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install src/math/{matrix3x3,vector3}.h \
	$RPM_BUILD_ROOT%{_includedir}/openbabel/math

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README THANKS doc/*.html
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libopenbabel.so.*.*.*
%dir %{_datadir}/openbabel
%attr(755,root,root) %{_datadir}/openbabel/*.txt
%{_mandir}/man1/*.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopenbabel.so
%{_libdir}/libopenbabel.la
%{_includedir}/openbabel
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libopenbabel.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openbabel.spec,v $
Revision 1.13  2004/03/07 21:22:10  grzegol
- updated to 1.100.2
- strict internal deps

Revision 1.12  2004/02/12 15:10:37  grzegol
- added math/{matrix3x3,vector3}.h files
- rel. 2

Revision 1.11  2003/06/27 12:10:31  qboosh
- added shared library, *.la and *.pc

Revision 1.10  2003/06/25 07:35:59  adamg
- updated to 1.100.1

Revision 1.9  2003/05/31 23:35:25  adamg
- up to 1.100.0
- removed obsoleted DESTDIR patch

Revision 1.8  2003/05/28 13:00:04  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 05:51:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/03/10 11:44:56  qboosh
- working Source0 URL, cosmetics

Revision 1.5  2003/02/28 10:08:04  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.4  2003/01/18 22:54:55  juandon
- removed two lines with define

Revision 1.3  2002/09/16 01:33:59  qboosh
- pl description, added missing dirs, BR: automake, release 3

Revision 1.2  2002/09/09 00:16:24  blues
- release 2 - added includes for openbabel in subpackage, STBR

Revision 1.1  2002/09/07 04:19:56  blues
- initial release
